Skip to content
POST/{organizationId}/crm/certificates/types/{typeId}/document/getOrCreate

Get or create type confirmation document template

Gets or creates a confirmation document template for a certificate type

Required permissions:

  • certificateType.edit

Path Parameters

organizationIdstringrequired
typeIdstringrequired

Authentication: X-API-Key

Request

POST/{organizationId}/crm/certificates/types/{typeId}/document/getOrCreate
curl --request POST 'https://cloud.campai.com/api/{organizationId}/crm/certificates/types/{typeId}/document/getOrCreate' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

Response

200
{
  "paper": "string",
  "attachment": "string",
  "templateId": "000000000000000000000001"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}